export function showPopup(parent: HTMLElement, text: string, className?: 'success'|'info'|'warning'|'error'): void {
	if (!parent.classList.contains("jsPopupHost")) {
		console.log(parent, "should be jsPopupHost")
	}
	const container = parent.ownerDocument.createElement("div")
	container.classList.add("jsPopupContainer")
	parent.appendChild(container)
	const popup = parent.ownerDocument.createElement("div")
	popup.classList.add("jsPopup")
	if (className) {
		popup.classList.add(className)
	}
	popup.innerText = text
	container.appendChild(popup)
	popup.addEventListener('animationend', () => {
		container.removeChild(popup)
		parent.removeChild(container)
	})
}
