export function takeLast(a: string, b: string): string {
	return b
}

export function getQuerySingleton(value: string|string[]|undefined, reducer: (a: string, b: string) => string): string|undefined {
	if (typeof value === 'undefined' || typeof value === 'string') {
		return value
	}
	return value.reduce(reducer)
}

export function getQueryArray(value: string|string[]|undefined): string[] {
	if (typeof value === 'undefined') {
		return []
	}
	if (typeof value === 'string') {
		return [value]
	}
	return value
}
